DROP TABLE IF EXISTS spatial_ref_sys;
DROP VIEW IF EXISTS geometry_columns;
DROP VIEW IF EXISTS geography_columns;
DROP CAST IF EXISTS (text AS geometry);
DROP CAST IF EXISTS (geometry AS text);
DROP CAST IF EXISTS (geometry AS geometry);
DROP CAST IF EXISTS (geometry AS geography);
DROP CAST IF EXISTS (geometry AS bytea);
DROP CAST IF EXISTS (geometry AS box3d);
DROP CAST IF EXISTS (geometry AS box2d);
DROP CAST IF EXISTS (geometry AS box);
DROP CAST IF EXISTS (geography AS geometry);
DROP CAST IF EXISTS (geography AS geography);
DROP CAST IF EXISTS (geography AS bytea);
DROP CAST IF EXISTS (bytea AS geometry);
DROP CAST IF EXISTS (bytea AS geography);
DROP CAST IF EXISTS (box3d AS geometry);
DROP CAST IF EXISTS (box3d AS box2d);
DROP CAST IF EXISTS (box3d AS box);
DROP CAST IF EXISTS (box2d AS geometry);
DROP CAST IF EXISTS (box2d AS box3d);
DROP OPERATOR CLASS IF EXISTS gist_geometry_ops_nd USING gist;
DROP OPERATOR CLASS IF EXISTS gist_geometry_ops_2d USING gist;
DROP OPERATOR CLASS IF EXISTS gist_geography_ops USING gist;
DROP OPERATOR CLASS IF EXISTS btree_geometry_ops USING btree;
DROP OPERATOR CLASS IF EXISTS btree_geography_ops USING btree;
DROP OPERATOR IF EXISTS ~= (geometry, geometry);
DROP OPERATOR IF EXISTS ~ (geometry, geometry);
DROP OPERATOR IF EXISTS |>> (geometry, geometry);
DROP OPERATOR IF EXISTS |&> (geometry, geometry);
DROP OPERATOR IF EXISTS @ (geometry, geometry);
DROP OPERATOR IF EXISTS >> (geometry, geometry);
DROP OPERATOR IF EXISTS >= (geography, geography);
DROP OPERATOR IF EXISTS >= (geometry, geometry);
DROP OPERATOR IF EXISTS > (geography, geography);
DROP OPERATOR IF EXISTS > (geometry, geometry);
DROP OPERATOR IF EXISTS = (geography, geography);
DROP OPERATOR IF EXISTS = (geometry, geometry);
DROP OPERATOR IF EXISTS <= (geography, geography);
DROP OPERATOR IF EXISTS <= (geometry, geometry);
DROP OPERATOR IF EXISTS <<| (geometry, geometry);
DROP OPERATOR IF EXISTS << (geometry, geometry);
DROP OPERATOR IF EXISTS < (geography, geography);
DROP OPERATOR IF EXISTS < (geometry, geometry);
DROP OPERATOR IF EXISTS &> (geometry, geometry);
DROP OPERATOR IF EXISTS &<| (geometry, geometry);
DROP OPERATOR IF EXISTS &< (geometry, geometry);
DROP OPERATOR IF EXISTS &&& (geometry, geometry);
DROP OPERATOR IF EXISTS && (geography, geography);
DROP OPERATOR IF EXISTS && (geometry, geometry);
DROP AGGREGATE IF EXISTS st_union(geometry);
DROP AGGREGATE IF EXISTS st_polygonize(geometry);
DROP AGGREGATE IF EXISTS st_memunion(geometry);
DROP AGGREGATE IF EXISTS st_memcollect(geometry);
DROP AGGREGATE IF EXISTS st_makeline(geometry);
DROP AGGREGATE IF EXISTS st_extent(geometry);
DROP AGGREGATE IF EXISTS st_collect(geometry);
DROP AGGREGATE IF EXISTS st_accum(geometry);
DROP AGGREGATE IF EXISTS st_3dextent(geometry);
DROP AGGREGATE IF EXISTS polygonize(geometry);
DROP AGGREGATE IF EXISTS collect(geometry);
DROP FUNCTION IF EXISTS updategeometrysrid(catalogn_name character varying, schema_name character varying, table_name character varying, column_name character varying, new_srid integer);
DROP FUNCTION IF EXISTS updategeometrysrid(character varying, character varying, character varying, integer);
DROP FUNCTION IF EXISTS updategeometrysrid(character varying, character varying, integer);
DROP FUNCTION IF EXISTS unlockrows(text);
DROP FUNCTION IF EXISTS text(geometry);
DROP FUNCTION IF EXISTS st_zmin(box3d);
DROP FUNCTION IF EXISTS st_zmflag(geometry);
DROP FUNCTION IF EXISTS st_zmax(box3d);
DROP FUNCTION IF EXISTS st_z(geometry);
DROP FUNCTION IF EXISTS st_ymin(box3d);
DROP FUNCTION IF EXISTS st_ymax(box3d);
DROP FUNCTION IF EXISTS st_y(geometry);
DROP FUNCTION IF EXISTS st_xmin(box3d);
DROP FUNCTION IF EXISTS st_xmax(box3d);
DROP FUNCTION IF EXISTS st_x(geometry);
DROP FUNCTION IF EXISTS st_wkttosql(text);
DROP FUNCTION IF EXISTS st_wkbtosql(bytea);
DROP FUNCTION IF EXISTS st_within(geometry, geometry);
DROP FUNCTION IF EXISTS st_union(geometry, geometry);
DROP FUNCTION IF EXISTS st_union(geometry[]);
DROP FUNCTION IF EXISTS st_unaryunion(geometry);
DROP FUNCTION IF EXISTS st_transscale(geometry, double precision, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_translate(geometry, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_translate(geometry, double precision, double precision);
DROP FUNCTION IF EXISTS st_transform(geometry, integer);
DROP FUNCTION IF EXISTS st_touches(geometry, geometry);
DROP FUNCTION IF EXISTS st_symmetricdifference(geometry, geometry);
DROP FUNCTION IF EXISTS st_symdifference(geometry, geometry);
DROP FUNCTION IF EXISTS st_summary(geometry);
DROP FUNCTION IF EXISTS st_startpoint(geometry);
DROP FUNCTION IF EXISTS st_srid(geometry);
DROP FUNCTION IF EXISTS st_split(geometry, geometry);
DROP FUNCTION IF EXISTS st_snaptogrid(geometry, geometry, double precision, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_snaptogrid(geometry, double precision, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_snaptogrid(geometry, double precision, double precision);
DROP FUNCTION IF EXISTS st_snaptogrid(geometry, double precision);
DROP FUNCTION IF EXISTS st_snap(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS st_simplifypreservetopology(geometry, double precision);
DROP FUNCTION IF EXISTS st_simplify(geometry, double precision);
DROP FUNCTION IF EXISTS st_shortestline(geometry, geometry);
DROP FUNCTION IF EXISTS st_shift_longitude(geometry);
DROP FUNCTION IF EXISTS st_sharedpaths(geometry, geometry);
DROP FUNCTION IF EXISTS st_setsrid(geometry, integer);
DROP FUNCTION IF EXISTS st_setpoint(geometry, integer, geometry);
DROP FUNCTION IF EXISTS st_segmentize(geometry, double precision);
DROP FUNCTION IF EXISTS st_scale(geometry, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_scale(geometry, double precision, double precision);
DROP FUNCTION IF EXISTS st_rotatez(geometry, double precision);
DROP FUNCTION IF EXISTS st_rotatey(geometry, double precision);
DROP FUNCTION IF EXISTS st_rotatex(geometry, double precision);
DROP FUNCTION IF EXISTS st_rotate(geometry, double precision);
DROP FUNCTION IF EXISTS st_reverse(geometry);
DROP FUNCTION IF EXISTS st_removerepeatedpoints(geometry);
DROP FUNCTION IF EXISTS st_removepoint(geometry, integer);
DROP FUNCTION IF EXISTS st_relatematch(text, text);
DROP FUNCTION IF EXISTS st_relate(geometry, geometry, text);
DROP FUNCTION IF EXISTS st_relate(geometry, geometry, integer);
DROP FUNCTION IF EXISTS st_relate(geometry, geometry);
DROP FUNCTION IF EXISTS st_project(geog geography, distance double precision, azimuth double precision);
DROP FUNCTION IF EXISTS st_polygonize(geometry[]);
DROP FUNCTION IF EXISTS st_polygonfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_polygonfromwkb(bytea);
DROP FUNCTION IF EXISTS st_polygonfromtext(text, integer);
DROP FUNCTION IF EXISTS st_polygonfromtext(text);
DROP FUNCTION IF EXISTS st_polygon(geometry, integer);
DROP FUNCTION IF EXISTS st_polyfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_polyfromwkb(bytea);
DROP FUNCTION IF EXISTS st_polyfromtext(text, integer);
DROP FUNCTION IF EXISTS st_polyfromtext(text);
DROP FUNCTION IF EXISTS st_pointonsurface(geometry);
DROP FUNCTION IF EXISTS st_pointn(geometry, integer);
DROP FUNCTION IF EXISTS st_pointfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_pointfromwkb(bytea);
DROP FUNCTION IF EXISTS st_pointfromtext(text, integer);
DROP FUNCTION IF EXISTS st_pointfromtext(text);
DROP FUNCTION IF EXISTS st_point_inside_circle(geometry, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_point(double precision, double precision);
DROP FUNCTION IF EXISTS st_perimeter2d(geometry);
DROP FUNCTION IF EXISTS st_perimeter(geog geography, use_spheroid boolean);
DROP FUNCTION IF EXISTS st_perimeter(geometry);
DROP FUNCTION IF EXISTS st_patchn(geometry, integer);
DROP FUNCTION IF EXISTS st_overlaps(geometry, geometry);
DROP FUNCTION IF EXISTS st_orderingequals(geometry, geometry);
DROP FUNCTION IF EXISTS st_offsetcurve(line geometry, distance double precision, params text);
DROP FUNCTION IF EXISTS st_numpoints(geometry);
DROP FUNCTION IF EXISTS st_numpatches(geometry);
DROP FUNCTION IF EXISTS st_numinteriorrings(geometry);
DROP FUNCTION IF EXISTS st_numinteriorring(geometry);
DROP FUNCTION IF EXISTS st_numgeometries(geometry);
DROP FUNCTION IF EXISTS st_nrings(geometry);
DROP FUNCTION IF EXISTS st_npoints(geometry);
DROP FUNCTION IF EXISTS st_node(g geometry);
DROP FUNCTION IF EXISTS st_ndims(geometry);
DROP FUNCTION IF EXISTS st_multipolygonfromtext(text, integer);
DROP FUNCTION IF EXISTS st_multipolygonfromtext(text);
DROP FUNCTION IF EXISTS st_multipolyfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_multipolyfromwkb(bytea);
DROP FUNCTION IF EXISTS st_multipointfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_multipointfromwkb(bytea);
DROP FUNCTION IF EXISTS st_multipointfromtext(text);
DROP FUNCTION IF EXISTS st_multilinestringfromtext(text, integer);
DROP FUNCTION IF EXISTS st_multilinestringfromtext(text);
DROP FUNCTION IF EXISTS st_multilinefromwkb(bytea);
DROP FUNCTION IF EXISTS st_multi(geometry);
DROP FUNCTION IF EXISTS st_mpolyfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_mpolyfromwkb(bytea);
DROP FUNCTION IF EXISTS st_mpolyfromtext(text, integer);
DROP FUNCTION IF EXISTS st_mpolyfromtext(text);
DROP FUNCTION IF EXISTS st_mpointfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_mpointfromwkb(bytea);
DROP FUNCTION IF EXISTS st_mpointfromtext(text, integer);
DROP FUNCTION IF EXISTS st_mpointfromtext(text);
DROP FUNCTION IF EXISTS st_mlinefromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_mlinefromwkb(bytea);
DROP FUNCTION IF EXISTS st_mlinefromtext(text, integer);
DROP FUNCTION IF EXISTS st_mlinefromtext(text);
DROP FUNCTION IF EXISTS st_minimumboundingcircle(inputgeom geometry, segs_per_quarter integer);
DROP FUNCTION IF EXISTS st_mem_size(geometry);
DROP FUNCTION IF EXISTS st_maxdistance(geometry, geometry);
DROP FUNCTION IF EXISTS st_makevalid(geometry);
DROP FUNCTION IF EXISTS st_makepolygon(geometry, geometry[]);
DROP FUNCTION IF EXISTS st_makepolygon(geometry);
DROP FUNCTION IF EXISTS st_makepointm(double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_makepoint(double precision, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_makepoint(double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_makepoint(double precision, double precision);
DROP FUNCTION IF EXISTS st_makeline(geometry, geometry);
DROP FUNCTION IF EXISTS st_makeline(geometry[]);
DROP FUNCTION IF EXISTS st_makeenvelope(double precision, double precision, double precision, double precision, integer);
DROP FUNCTION IF EXISTS st_makebox2d(geometry, geometry);
DROP FUNCTION IF EXISTS st_m(geometry);
DROP FUNCTION IF EXISTS st_longestline(geometry, geometry);
DROP FUNCTION IF EXISTS st_locatebetweenelevations(geometry, double precision, double precision);
DROP FUNCTION IF EXISTS st_locate_between_measures(geometry, double precision, double precision);
DROP FUNCTION IF EXISTS st_locate_along_measure(geometry, double precision);
DROP FUNCTION IF EXISTS st_linetocurve(geometry);
DROP FUNCTION IF EXISTS st_linestringfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_linestringfromwkb(bytea);
DROP FUNCTION IF EXISTS st_linemerge(geometry);
DROP FUNCTION IF EXISTS st_linefromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_linefromwkb(bytea);
DROP FUNCTION IF EXISTS st_linefromtext(text, integer);
DROP FUNCTION IF EXISTS st_linefromtext(text);
DROP FUNCTION IF EXISTS st_linefrommultipoint(geometry);
DROP FUNCTION IF EXISTS st_linecrossingdirection(geometry, geometry);
DROP FUNCTION IF EXISTS st_line_substring(geometry, double precision, double precision);
DROP FUNCTION IF EXISTS st_line_locate_point(geometry, geometry);
DROP FUNCTION IF EXISTS st_line_interpolate_point(geometry, double precision);
DROP FUNCTION IF EXISTS st_length_spheroid(geometry, spheroid);
DROP FUNCTION IF EXISTS st_length2d_spheroid(geometry, spheroid);
DROP FUNCTION IF EXISTS st_length2d(geometry);
DROP FUNCTION IF EXISTS st_length(geog geography, use_spheroid boolean);
DROP FUNCTION IF EXISTS st_length(text);
DROP FUNCTION IF EXISTS st_length(geometry);
DROP FUNCTION IF EXISTS st_isvalidreason(geometry, integer);
DROP FUNCTION IF EXISTS st_isvalidreason(geometry);
DROP FUNCTION IF EXISTS st_isvaliddetail(geometry, integer);
DROP FUNCTION IF EXISTS st_isvaliddetail(geometry);
DROP FUNCTION IF EXISTS st_isvalid(geometry, integer);
DROP FUNCTION IF EXISTS st_isvalid(geometry);
DROP FUNCTION IF EXISTS st_issimple(geometry);
DROP FUNCTION IF EXISTS st_isring(geometry);
DROP FUNCTION IF EXISTS st_isempty(geometry);
DROP FUNCTION IF EXISTS st_iscollection(geometry);
DROP FUNCTION IF EXISTS st_isclosed(geometry);
DROP FUNCTION IF EXISTS st_intersects(text, text);
DROP FUNCTION IF EXISTS st_intersects(geography, geography);
DROP FUNCTION IF EXISTS st_intersects(geometry, geometry);
DROP FUNCTION IF EXISTS st_intersection(text, text);
DROP FUNCTION IF EXISTS st_intersection(geography, geography);
DROP FUNCTION IF EXISTS st_intersection(geometry, geometry);
DROP FUNCTION IF EXISTS st_interiorringn(geometry, integer);
DROP FUNCTION IF EXISTS st_hausdorffdistance(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS st_hausdorffdistance(geometry, geometry);
DROP FUNCTION IF EXISTS st_hasarc(geometry);
DROP FUNCTION IF EXISTS st_gmltosql(text, integer);
DROP FUNCTION IF EXISTS st_gmltosql(text);
DROP FUNCTION IF EXISTS st_geomfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_geomfromwkb(bytea);
DROP FUNCTION IF EXISTS st_geomfromtext(text, integer);
DROP FUNCTION IF EXISTS st_geomfromtext(text);
DROP FUNCTION IF EXISTS st_geomfromkml(text);
DROP FUNCTION IF EXISTS st_geomfromgml(text, integer);
DROP FUNCTION IF EXISTS st_geomfromgml(text);
DROP FUNCTION IF EXISTS st_geomfromgeojson(text);
DROP FUNCTION IF EXISTS st_geomfromewkt(text);
DROP FUNCTION IF EXISTS st_geomfromewkb(bytea);
DROP FUNCTION IF EXISTS st_geometrytype(geometry);
DROP FUNCTION IF EXISTS st_geometryn(geometry, integer);
DROP FUNCTION IF EXISTS st_geometryfromtext(text, integer);
DROP FUNCTION IF EXISTS st_geometryfromtext(text);
DROP FUNCTION IF EXISTS st_geomcollfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS st_geomcollfromwkb(bytea);
DROP FUNCTION IF EXISTS st_geomcollfromtext(text, integer);
DROP FUNCTION IF EXISTS st_geomcollfromtext(text);
DROP FUNCTION IF EXISTS st_geohash(geometry, integer);
DROP FUNCTION IF EXISTS st_geohash(geometry);
DROP FUNCTION IF EXISTS st_geographyfromtext(text);
DROP FUNCTION IF EXISTS st_geogfromwkb(bytea);
DROP FUNCTION IF EXISTS st_geogfromtext(text);
DROP FUNCTION IF EXISTS st_forcerhr(geometry);
DROP FUNCTION IF EXISTS st_force_collection(geometry);
DROP FUNCTION IF EXISTS st_force_4d(geometry);
DROP FUNCTION IF EXISTS st_force_3dz(geometry);
DROP FUNCTION IF EXISTS st_force_3dm(geometry);
DROP FUNCTION IF EXISTS st_force_3d(geometry);
DROP FUNCTION IF EXISTS st_force_2d(geometry);
DROP FUNCTION IF EXISTS st_flipcoordinates(geometry);
DROP FUNCTION IF EXISTS st_find_extent(text, text, text);
DROP FUNCTION IF EXISTS st_find_extent(text, text);
DROP FUNCTION IF EXISTS st_exteriorring(geometry);
DROP FUNCTION IF EXISTS st_expand(geometry, double precision);
DROP FUNCTION IF EXISTS st_expand(box3d, double precision);
DROP FUNCTION IF EXISTS st_expand(box2d, double precision);
DROP FUNCTION IF EXISTS st_estimated_extent(text, text, text);
DROP FUNCTION IF EXISTS st_estimated_extent(text, text);
DROP FUNCTION IF EXISTS st_equals(geometry, geometry);
DROP FUNCTION IF EXISTS st_envelope(geometry);
DROP FUNCTION IF EXISTS st_endpoint(geometry);
DROP FUNCTION IF EXISTS st_dwithin(geography, geography, double precision, boolean);
DROP FUNCTION IF EXISTS st_dwithin(text, text, double precision);
DROP FUNCTION IF EXISTS st_dwithin(geography, geography, double precision);
DROP FUNCTION IF EXISTS st_dwithin(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS st_dumprings(geometry);
DROP FUNCTION IF EXISTS st_dumppoints(geometry);
DROP FUNCTION IF EXISTS st_dump(geometry);
DROP FUNCTION IF EXISTS st_distance_spheroid(geometry, geometry, spheroid);
DROP FUNCTION IF EXISTS st_distance_sphere(geometry, geometry);
DROP FUNCTION IF EXISTS st_distance(geography, geography, boolean);
DROP FUNCTION IF EXISTS st_distance(text, text);
DROP FUNCTION IF EXISTS st_distance(geography, geography);
DROP FUNCTION IF EXISTS st_distance(geometry, geometry);
DROP FUNCTION IF EXISTS st_disjoint(geometry, geometry);
DROP FUNCTION IF EXISTS st_dimension(geometry);
DROP FUNCTION IF EXISTS st_difference(geometry, geometry);
DROP FUNCTION IF EXISTS st_dfullywithin(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS st_curvetoline(geometry, integer);
DROP FUNCTION IF EXISTS st_curvetoline(geometry);
DROP FUNCTION IF EXISTS st_crosses(geometry, geometry);
DROP FUNCTION IF EXISTS st_covers(text, text);
DROP FUNCTION IF EXISTS st_covers(geography, geography);
DROP FUNCTION IF EXISTS st_covers(geometry, geometry);
DROP FUNCTION IF EXISTS st_coveredby(text, text);
DROP FUNCTION IF EXISTS st_coveredby(geography, geography);
DROP FUNCTION IF EXISTS st_coveredby(geometry, geometry);
DROP FUNCTION IF EXISTS st_coorddim(geometry);
DROP FUNCTION IF EXISTS st_convexhull(geometry);
DROP FUNCTION IF EXISTS st_containsproperly(geometry, geometry);
DROP FUNCTION IF EXISTS st_contains(geometry, geometry);
DROP FUNCTION IF EXISTS st_concavehull(param_geom geometry, param_pctconvex double precision, param_allow_holes boolean);
DROP FUNCTION IF EXISTS st_combine_bbox(box3d, geometry);
DROP FUNCTION IF EXISTS st_combine_bbox(box2d, geometry);
DROP FUNCTION IF EXISTS st_collectionextract(geometry, integer);
DROP FUNCTION IF EXISTS st_collect(geometry, geometry);
DROP FUNCTION IF EXISTS st_collect(geometry[]);
DROP FUNCTION IF EXISTS st_closestpoint(geometry, geometry);
DROP FUNCTION IF EXISTS st_cleangeometry(geometry);
DROP FUNCTION IF EXISTS st_centroid(geometry);
DROP FUNCTION IF EXISTS st_buildarea(geometry);
DROP FUNCTION IF EXISTS st_buffer(geometry, double precision, text);
DROP FUNCTION IF EXISTS st_buffer(geometry, double precision, integer);
DROP FUNCTION IF EXISTS st_buffer(text, double precision);
DROP FUNCTION IF EXISTS st_buffer(geography, double precision);
DROP FUNCTION IF EXISTS st_buffer(geometry, double precision);
DROP FUNCTION IF EXISTS st_boundary(geometry);
DROP FUNCTION IF EXISTS st_bdpolyfromtext(text, integer);
DROP FUNCTION IF EXISTS st_bdmpolyfromtext(text, integer);
DROP FUNCTION IF EXISTS st_azimuth(geog1 geography, geog2 geography);
DROP FUNCTION IF EXISTS st_azimuth(geometry, geometry);
DROP FUNCTION IF EXISTS st_asx3d(geom geometry, prec integer);
DROP FUNCTION IF EXISTS st_astext(text);
DROP FUNCTION IF EXISTS st_astext(geography);
DROP FUNCTION IF EXISTS st_astext(geometry);
DROP FUNCTION IF EXISTS st_assvg(geography, integer, integer);
DROP FUNCTION IF EXISTS st_assvg(geometry, integer, integer);
DROP FUNCTION IF EXISTS st_assvg(geography, integer);
DROP FUNCTION IF EXISTS st_assvg(geometry, integer);
DROP FUNCTION IF EXISTS st_assvg(text);
DROP FUNCTION IF EXISTS st_assvg(geography);
DROP FUNCTION IF EXISTS st_assvg(geometry);
DROP FUNCTION IF EXISTS st_aslatlontext(geometry, text);
DROP FUNCTION IF EXISTS st_aslatlontext(geometry);
DROP FUNCTION IF EXISTS st_askml(integer, geography, integer, text);
DROP FUNCTION IF EXISTS st_askml(integer, geometry, integer, text);
DROP FUNCTION IF EXISTS st_askml(integer, geography, integer);
DROP FUNCTION IF EXISTS st_askml(integer, geometry, integer);
DROP FUNCTION IF EXISTS st_askml(integer, geography);
DROP FUNCTION IF EXISTS st_askml(geography, integer);
DROP FUNCTION IF EXISTS st_askml(integer, geometry);
DROP FUNCTION IF EXISTS st_askml(geometry, integer);
DROP FUNCTION IF EXISTS st_askml(text);
DROP FUNCTION IF EXISTS st_askml(geography);
DROP FUNCTION IF EXISTS st_askml(geometry);
DROP FUNCTION IF EXISTS st_ashexewkb(geometry, text);
DROP FUNCTION IF EXISTS st_ashexewkb(geometry);
DROP FUNCTION IF EXISTS st_asgml(integer, geography, integer, integer, text);
DROP FUNCTION IF EXISTS st_asgml(integer, geometry, integer, integer, text);
DROP FUNCTION IF EXISTS st_asgml(integer, geography, integer, integer);
DROP FUNCTION IF EXISTS st_asgml(integer, geometry, integer, integer);
DROP FUNCTION IF EXISTS st_asgml(geography, integer, integer);
DROP FUNCTION IF EXISTS st_asgml(integer, geography, integer);
DROP FUNCTION IF EXISTS st_asgml(geometry, integer, integer);
DROP FUNCTION IF EXISTS st_asgml(integer, geometry, integer);
DROP FUNCTION IF EXISTS st_asgml(integer, geography);
DROP FUNCTION IF EXISTS st_asgml(geography, integer);
DROP FUNCTION IF EXISTS st_asgml(integer, geometry);
DROP FUNCTION IF EXISTS st_asgml(geometry, integer);
DROP FUNCTION IF EXISTS st_asgml(text);
DROP FUNCTION IF EXISTS st_asgml(geography);
DROP FUNCTION IF EXISTS st_asgml(geometry);
DROP FUNCTION IF EXISTS st_asgeojson(integer, geography, integer, integer);
DROP FUNCTION IF EXISTS st_asgeojson(integer, geometry, integer, integer);
DROP FUNCTION IF EXISTS st_asgeojson(geography, integer, integer);
DROP FUNCTION IF EXISTS st_asgeojson(integer, geography, integer);
DROP FUNCTION IF EXISTS st_asgeojson(geometry, integer, integer);
DROP FUNCTION IF EXISTS st_asgeojson(integer, geometry, integer);
DROP FUNCTION IF EXISTS st_asgeojson(integer, geography);
DROP FUNCTION IF EXISTS st_asgeojson(geography, integer);
DROP FUNCTION IF EXISTS st_asgeojson(integer, geometry);
DROP FUNCTION IF EXISTS st_asgeojson(geometry, integer);
DROP FUNCTION IF EXISTS st_asgeojson(text);
DROP FUNCTION IF EXISTS st_asgeojson(geography);
DROP FUNCTION IF EXISTS st_asgeojson(geometry);
DROP FUNCTION IF EXISTS st_asewkt(geometry);
DROP FUNCTION IF EXISTS st_asewkb(geometry, text);
DROP FUNCTION IF EXISTS st_asewkb(geometry);
DROP FUNCTION IF EXISTS st_asbinary(geometry, text);
DROP FUNCTION IF EXISTS st_asbinary(text);
DROP FUNCTION IF EXISTS st_asbinary(geography);
DROP FUNCTION IF EXISTS st_asbinary(geometry);
DROP FUNCTION IF EXISTS st_area2d(geometry);
DROP FUNCTION IF EXISTS st_area(geog geography, use_spheroid boolean);
DROP FUNCTION IF EXISTS st_area(text);
DROP FUNCTION IF EXISTS st_area(geometry);
DROP FUNCTION IF EXISTS st_affine(geometry, double precision, double precision, double precision, double precision, double precision, double precision, double precision, double precision, double precision, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_affine(geometry, double precision, double precision, double precision, double precision, double precision, double precision);
DROP FUNCTION IF EXISTS st_addpoint(geometry, geometry, integer);
DROP FUNCTION IF EXISTS st_addpoint(geometry, geometry);
DROP FUNCTION IF EXISTS st_addmeasure(geometry, double precision, double precision);
DROP FUNCTION IF EXISTS st_3dshortestline(geometry, geometry);
DROP FUNCTION IF EXISTS st_3dperimeter(geometry);
DROP FUNCTION IF EXISTS st_3dmaxdistance(geometry, geometry);
DROP FUNCTION IF EXISTS st_3dmakebox(geometry, geometry);
DROP FUNCTION IF EXISTS st_3dlongestline(geometry, geometry);
DROP FUNCTION IF EXISTS st_3dlength_spheroid(geometry, spheroid);
DROP FUNCTION IF EXISTS st_3dlength(geometry);
DROP FUNCTION IF EXISTS st_3dintersects(geometry, geometry);
DROP FUNCTION IF EXISTS st_3ddwithin(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS st_3ddistance(geometry, geometry);
DROP FUNCTION IF EXISTS st_3ddfullywithin(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS st_3dclosestpoint(geometry, geometry);
DROP FUNCTION IF EXISTS setsrid(geometry, integer);
DROP FUNCTION IF EXISTS se_z(geometry);
DROP FUNCTION IF EXISTS se_m(geometry);
DROP FUNCTION IF EXISTS se_locatebetween(geometry, double precision, double precision);
DROP FUNCTION IF EXISTS se_locatealong(geometry, double precision);
DROP FUNCTION IF EXISTS se_ismeasured(geometry);
DROP FUNCTION IF EXISTS se_is3d(geometry);
DROP FUNCTION IF EXISTS se_envelopesintersect(geometry, geometry);
DROP FUNCTION IF EXISTS postgis_version();
DROP FUNCTION IF EXISTS postgis_uses_stats();
DROP FUNCTION IF EXISTS postgis_typmod_type(integer);
DROP FUNCTION IF EXISTS postgis_typmod_srid(integer);
DROP FUNCTION IF EXISTS postgis_typmod_dims(integer);
DROP FUNCTION IF EXISTS postgis_type_name(geomname character varying, coord_dimension integer, use_new_name boolean);
DROP FUNCTION IF EXISTS postgis_transform_geometry(geometry, text, text, integer);
DROP FUNCTION IF EXISTS postgis_scripts_released();
DROP FUNCTION IF EXISTS postgis_scripts_installed();
DROP FUNCTION IF EXISTS postgis_scripts_build_date();
DROP FUNCTION IF EXISTS postgis_proj_version();
DROP FUNCTION IF EXISTS postgis_noop(geometry);
DROP FUNCTION IF EXISTS postgis_libxml_version();
DROP FUNCTION IF EXISTS postgis_lib_version();
DROP FUNCTION IF EXISTS postgis_lib_build_date();
DROP FUNCTION IF EXISTS postgis_hasbbox(geometry);
DROP FUNCTION IF EXISTS postgis_getbbox(geometry);
DROP FUNCTION IF EXISTS postgis_geos_version();
DROP FUNCTION IF EXISTS postgis_full_version();
DROP FUNCTION IF EXISTS postgis_dropbbox(geometry);
DROP FUNCTION IF EXISTS postgis_constraint_type(geomschema text, geomtable text, geomcolumn text);
DROP FUNCTION IF EXISTS postgis_constraint_srid(geomschema text, geomtable text, geomcolumn text);
DROP FUNCTION IF EXISTS postgis_constraint_dims(geomschema text, geomtable text, geomcolumn text);
DROP FUNCTION IF EXISTS postgis_cache_bbox();
DROP FUNCTION IF EXISTS postgis_addbbox(geometry);
DROP FUNCTION IF EXISTS populate_geometry_columns(tbl_oid oid, use_typmod boolean);
DROP FUNCTION IF EXISTS populate_geometry_columns(use_typmod boolean);
DROP FUNCTION IF EXISTS pgis_geometry_union_finalfn(pgis_abs);
DROP FUNCTION IF EXISTS pgis_geometry_polygonize_finalfn(pgis_abs);
DROP FUNCTION IF EXISTS pgis_geometry_makeline_finalfn(pgis_abs);
DROP FUNCTION IF EXISTS pgis_geometry_collect_finalfn(pgis_abs);
DROP FUNCTION IF EXISTS pgis_geometry_accum_transfn(pgis_abs, geometry);
DROP FUNCTION IF EXISTS pgis_geometry_accum_finalfn(pgis_abs);
DROP FUNCTION IF EXISTS longtransactionsenabled();
DROP FUNCTION IF EXISTS lockrow(text, text, text, text, timestamp without time zone);
DROP FUNCTION IF EXISTS lockrow(text, text, text, timestamp without time zone);
DROP FUNCTION IF EXISTS lockrow(text, text, text, text);
DROP FUNCTION IF EXISTS lockrow(text, text, text);
DROP FUNCTION IF EXISTS gettransactionid();
DROP FUNCTION IF EXISTS getsrid(geometry);
DROP FUNCTION IF EXISTS get_proj4_from_srid(integer);
DROP FUNCTION IF EXISTS geomfromwkb(bytea, integer);
DROP FUNCTION IF EXISTS geomfromwkb(bytea);
DROP FUNCTION IF EXISTS geomfromtext(text, integer);
DROP FUNCTION IF EXISTS geomfromtext(text);
DROP FUNCTION IF EXISTS geomfromewkt(text);
DROP FUNCTION IF EXISTS geomfromewkb(bytea);
DROP FUNCTION IF EXISTS geometrytype(geometry);
DROP FUNCTION IF EXISTS geometryfromtext(text, integer);
DROP FUNCTION IF EXISTS geometryfromtext(text);
DROP FUNCTION IF EXISTS geometry_within(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_same(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_right(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_overright(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_overleft(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_overlaps_nd(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_overlaps(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_overbelow(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_overabove(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_lt(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_left(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_le(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_gt(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_gist_union_nd(bytea, internal);
DROP FUNCTION IF EXISTS geometry_gist_union_2d(bytea, internal);
DROP FUNCTION IF EXISTS geometry_gist_sel_2d(internal, oid, internal, integer);
DROP FUNCTION IF EXISTS geometry_gist_same_nd(geometry, geometry, internal);
DROP FUNCTION IF EXISTS geometry_gist_same_2d(geometry, geometry, internal);
DROP FUNCTION IF EXISTS geometry_gist_picksplit_nd(internal, internal);
DROP FUNCTION IF EXISTS geometry_gist_picksplit_2d(internal, internal);
DROP FUNCTION IF EXISTS geometry_gist_penalty_nd(internal, internal, internal);
DROP FUNCTION IF EXISTS geometry_gist_penalty_2d(internal, internal, internal);
DROP FUNCTION IF EXISTS geometry_gist_joinsel_2d(internal, oid, internal, smallint);
DROP FUNCTION IF EXISTS geometry_gist_distance_2d(internal, geometry, integer);
DROP FUNCTION IF EXISTS geometry_gist_decompress_nd(internal);
DROP FUNCTION IF EXISTS geometry_gist_decompress_2d(internal);
DROP FUNCTION IF EXISTS geometry_gist_consistent_nd(internal, geometry, integer);
DROP FUNCTION IF EXISTS geometry_gist_consistent_2d(internal, geometry, integer);
DROP FUNCTION IF EXISTS geometry_gist_compress_nd(internal);
DROP FUNCTION IF EXISTS geometry_gist_compress_2d(internal);
DROP FUNCTION IF EXISTS geometry_ge(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_eq(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_distance_centroid(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_distance_box(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_contains(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_cmp(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_below(geometry, geometry);
DROP FUNCTION IF EXISTS geometry_above(geometry, geometry);
DROP FUNCTION IF EXISTS geometry(geometry, integer, boolean);
DROP FUNCTION IF EXISTS geometry(geography);
DROP FUNCTION IF EXISTS geometry(bytea);
DROP FUNCTION IF EXISTS geometry(text);
DROP FUNCTION IF EXISTS geometry(box3d);
DROP FUNCTION IF EXISTS geometry(box2d);
DROP FUNCTION IF EXISTS geography_overlaps(geography, geography);
DROP FUNCTION IF EXISTS geography_lt(geography, geography);
DROP FUNCTION IF EXISTS geography_le(geography, geography);
DROP FUNCTION IF EXISTS geography_gt(geography, geography);
DROP FUNCTION IF EXISTS geography_gist_union(bytea, internal);
DROP FUNCTION IF EXISTS geography_gist_selectivity(internal, oid, internal, integer);
DROP FUNCTION IF EXISTS geography_gist_same(box2d, box2d, internal);
DROP FUNCTION IF EXISTS geography_gist_picksplit(internal, internal);
DROP FUNCTION IF EXISTS geography_gist_penalty(internal, internal, internal);
DROP FUNCTION IF EXISTS geography_gist_join_selectivity(internal, oid, internal, smallint);
DROP FUNCTION IF EXISTS geography_gist_decompress(internal);
DROP FUNCTION IF EXISTS geography_gist_consistent(internal, geography, integer);
DROP FUNCTION IF EXISTS geography_gist_compress(internal);
DROP FUNCTION IF EXISTS geography_ge(geography, geography);
DROP FUNCTION IF EXISTS geography_eq(geography, geography);
DROP FUNCTION IF EXISTS geography_cmp(geography, geography);
DROP FUNCTION IF EXISTS geography(geography, integer, boolean);
DROP FUNCTION IF EXISTS geography(geometry);
DROP FUNCTION IF EXISTS geography(bytea);
DROP FUNCTION IF EXISTS find_srid(character varying, character varying, character varying);
DROP FUNCTION IF EXISTS equals(geometry, geometry);
DROP FUNCTION IF EXISTS enablelongtransactions();
DROP FUNCTION IF EXISTS dropgeometrytable(catalog_name character varying, schema_name character varying, table_name character varying);
DROP FUNCTION IF EXISTS dropgeometrytable(schema_name character varying, table_name character varying);
DROP FUNCTION IF EXISTS dropgeometrytable(table_name character varying);
DROP FUNCTION IF EXISTS dropgeometrycolumn(catalog_name character varying, schema_name character varying, table_name character varying, column_name character varying);
DROP FUNCTION IF EXISTS dropgeometrycolumn(schema_name character varying, table_name character varying, column_name character varying);
DROP FUNCTION IF EXISTS dropgeometrycolumn(table_name character varying, column_name character varying);
DROP FUNCTION IF EXISTS disablelongtransactions();
DROP FUNCTION IF EXISTS checkauthtrigger();
DROP FUNCTION IF EXISTS checkauth(text, text, text);
DROP FUNCTION IF EXISTS checkauth(text, text);
DROP FUNCTION IF EXISTS bytea(geography);
DROP FUNCTION IF EXISTS bytea(geometry);
DROP FUNCTION IF EXISTS box3dtobox(box3d);
DROP FUNCTION IF EXISTS box3d(box2d);
DROP FUNCTION IF EXISTS box3d(geometry);
DROP FUNCTION IF EXISTS box2d(box3d);
DROP FUNCTION IF EXISTS box2d(geometry);
DROP FUNCTION IF EXISTS box(box3d);
DROP FUNCTION IF EXISTS box(geometry);
DROP FUNCTION IF EXISTS addgeometrycolumn(catalog_name character varying, schema_name character varying, table_name character varying, column_name character varying, new_srid_in integer, new_type character varying, new_dim integer, use_typmod boolean);
DROP FUNCTION IF EXISTS addgeometrycolumn(schema_name character varying, table_name character varying, column_name character varying, new_srid integer, new_type character varying, new_dim integer, use_typmod boolean);
DROP FUNCTION IF EXISTS addgeometrycolumn(table_name character varying, column_name character varying, new_srid integer, new_type character varying, new_dim integer, use_typmod boolean);
DROP FUNCTION IF EXISTS addauth(text);
DROP FUNCTION IF EXISTS _st_within(geometry, geometry);
DROP FUNCTION IF EXISTS _st_touches(geometry, geometry);
DROP FUNCTION IF EXISTS _st_pointoutside(geography);
DROP FUNCTION IF EXISTS _st_overlaps(geometry, geometry);
DROP FUNCTION IF EXISTS _st_orderingequals(geometry, geometry);
DROP FUNCTION IF EXISTS _st_maxdistance(geometry, geometry);
DROP FUNCTION IF EXISTS _st_longestline(geometry, geometry);
DROP FUNCTION IF EXISTS _st_linecrossingdirection(geometry, geometry);
DROP FUNCTION IF EXISTS _st_intersects(geometry, geometry);
DROP FUNCTION IF EXISTS _st_geomfromgml(text, integer);
DROP FUNCTION IF EXISTS _st_expand(geography, double precision);
DROP FUNCTION IF EXISTS _st_equals(geometry, geometry);
DROP FUNCTION IF EXISTS _st_dwithin(geography, geography, double precision, boolean);
DROP FUNCTION IF EXISTS _st_dwithin(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS _st_dumppoints(the_geom geometry, cur_path integer[]);
DROP FUNCTION IF EXISTS _st_distance(geography, geography, double precision, boolean);
DROP FUNCTION IF EXISTS _st_dfullywithin(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS _st_crosses(geometry, geometry);
DROP FUNCTION IF EXISTS _st_covers(geography, geography);
DROP FUNCTION IF EXISTS _st_covers(geometry, geometry);
DROP FUNCTION IF EXISTS _st_coveredby(geometry, geometry);
DROP FUNCTION IF EXISTS _st_containsproperly(geometry, geometry);
DROP FUNCTION IF EXISTS _st_contains(geometry, geometry);
DROP FUNCTION IF EXISTS _st_concavehull(param_inputgeom geometry);
DROP FUNCTION IF EXISTS _st_buffer(geometry, double precision, cstring);
DROP FUNCTION IF EXISTS _st_bestsrid(geography, geography);
DROP FUNCTION IF EXISTS _st_bestsrid(geography);
DROP FUNCTION IF EXISTS _st_asx3d(integer, geometry, integer, integer, text);
DROP FUNCTION IF EXISTS _st_askml(integer, geography, integer, text);
DROP FUNCTION IF EXISTS _st_askml(integer, geometry, integer, text);
DROP FUNCTION IF EXISTS _st_asgml(integer, geography, integer, integer, text);
DROP FUNCTION IF EXISTS _st_asgml(integer, geometry, integer, integer, text);
DROP FUNCTION IF EXISTS _st_asgeojson(integer, geography, integer, integer);
DROP FUNCTION IF EXISTS _st_asgeojson(integer, geometry, integer, integer);
DROP FUNCTION IF EXISTS _st_3ddwithin(geometry, geometry, double precision);
DROP FUNCTION IF EXISTS _st_3ddfullywithin(geometry, geometry, double precision);
DROP TYPE IF EXISTS valid_detail;
DROP TYPE IF EXISTS spheroid CASCADE;
DROP FUNCTION IF EXISTS spheroid_out(spheroid);
DROP FUNCTION IF EXISTS spheroid_in(cstring);
DROP TYPE IF EXISTS pgis_abs CASCADE;
DROP FUNCTION IF EXISTS pgis_abs_out(pgis_abs);
DROP FUNCTION IF EXISTS pgis_abs_in(cstring);
DROP TYPE IF EXISTS gidx CASCADE;
DROP FUNCTION IF EXISTS gidx_out(gidx);
DROP FUNCTION IF EXISTS gidx_in(cstring);
DROP TYPE IF EXISTS geometry_dump;
DROP TYPE IF EXISTS geometry CASCADE;
DROP FUNCTION IF EXISTS geometry_typmod_out(integer);
DROP FUNCTION IF EXISTS geometry_typmod_in(cstring[]);
DROP FUNCTION IF EXISTS geometry_send(geometry);
DROP FUNCTION IF EXISTS geometry_recv(internal);
DROP FUNCTION IF EXISTS geometry_out(geometry);
DROP FUNCTION IF EXISTS geometry_in(cstring);
DROP FUNCTION IF EXISTS geometry_analyze(internal);
DROP TYPE IF EXISTS geography CASCADE;
DROP FUNCTION IF EXISTS geography_typmod_out(integer);
DROP FUNCTION IF EXISTS geography_typmod_in(cstring[]);
DROP FUNCTION IF EXISTS geography_out(geography);
DROP FUNCTION IF EXISTS geography_in(cstring, oid, integer);
DROP FUNCTION IF EXISTS geography_analyze(internal);
DROP TYPE IF EXISTS box3d CASCADE;
DROP FUNCTION IF EXISTS box3d_out(box3d);
DROP FUNCTION IF EXISTS box3d_in(cstring);
DROP TYPE IF EXISTS box2df CASCADE;
DROP FUNCTION IF EXISTS box2df_out(box2df);
DROP FUNCTION IF EXISTS box2df_in(cstring);
DROP TYPE IF EXISTS box2d CASCADE;
DROP FUNCTION IF EXISTS box2d_out(box2d);
DROP FUNCTION IF EXISTS box2d_in(cstring);
