DROP VIEW IF EXISTS raster_overviews;
DROP VIEW IF EXISTS raster_columns;
DROP CAST IF EXISTS (raster AS geometry);
DROP CAST IF EXISTS (raster AS bytea);
DROP CAST IF EXISTS (raster AS box3d);
DROP OPERATOR IF EXISTS ~= (raster, raster);
DROP OPERATOR IF EXISTS ~ (raster, raster);
DROP OPERATOR IF EXISTS |>> (raster, raster);
DROP OPERATOR IF EXISTS |&> (raster, raster);
DROP OPERATOR IF EXISTS @ (raster, raster);
DROP OPERATOR IF EXISTS >> (raster, raster);
DROP OPERATOR IF EXISTS <<| (raster, raster);
DROP OPERATOR IF EXISTS << (raster, raster);
DROP OPERATOR IF EXISTS &> (raster, raster);
DROP OPERATOR IF EXISTS &<| (raster, raster);
DROP OPERATOR IF EXISTS &< (raster, raster);
DROP OPERATOR IF EXISTS && (raster, raster);
DROP AGGREGATE IF EXISTS st_union(raster, integer, text);
DROP AGGREGATE IF EXISTS st_union(raster, text);
DROP AGGREGATE IF EXISTS st_union(raster, integer);
DROP AGGREGATE IF EXISTS st_union(raster);
DROP FUNCTION IF EXISTS st_world2rastercoordy(rast raster, xw double precision, yw double precision);
DROP FUNCTION IF EXISTS st_world2rastercoordy(rast raster, pt geometry);
DROP FUNCTION IF EXISTS st_world2rastercoordy(rast raster, yw double precision);
DROP FUNCTION IF EXISTS st_world2rastercoordx(rast raster, xw double precision, yw double precision);
DROP FUNCTION IF EXISTS st_world2rastercoordx(rast raster, pt geometry);
DROP FUNCTION IF EXISTS st_world2rastercoordx(rast raster, xw double precision);
DROP FUNCTION IF EXISTS st_width(raster);
DROP FUNCTION IF EXISTS st_valuepercent(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, searchvalues double precision[], roundto double precision, OUT value double precision, OUT percent double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rastertable text, rastercolumn text, nband integer, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rastertable text, rastercolumn text, nband integer, searchvalues double precision[], roundto double precision, OUT value double precision, OUT percent double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rast raster, nband integer, exclude_nodata_value boolean, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rast raster, nband integer, exclude_nodata_value boolean, searchvalues double precision[], roundto double precision, OUT value double precision, OUT percent double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rastertable text, rastercolumn text, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rastertable text, rastercolumn text, searchvalues double precision[], roundto double precision, OUT value double precision, OUT percent double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rast raster, nband integer, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rast raster, nband integer, searchvalues double precision[], roundto double precision, OUT value double precision, OUT percent double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rast raster, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuepercent(rast raster, searchvalues double precision[], roundto double precision, OUT value double precision, OUT percent double precision);
DROP FUNCTION IF EXISTS st_valuecount(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuecount(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, searchvalues double precision[], roundto double precision, OUT value double precision, OUT count integer);
DROP FUNCTION IF EXISTS st_valuecount(rastertable text, rastercolumn text, nband integer, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuecount(rastertable text, rastercolumn text, nband integer, searchvalues double precision[], roundto double precision, OUT value double precision, OUT count integer);
DROP FUNCTION IF EXISTS st_valuecount(rast raster, nband integer, exclude_nodata_value boolean, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuecount(rast raster, nband integer, exclude_nodata_value boolean, searchvalues double precision[], roundto double precision, OUT value double precision, OUT count integer);
DROP FUNCTION IF EXISTS st_valuecount(rastertable text, rastercolumn text, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuecount(rastertable text, rastercolumn text, searchvalues double precision[], roundto double precision, OUT value double precision, OUT count integer);
DROP FUNCTION IF EXISTS st_valuecount(rast raster, nband integer, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuecount(rast raster, nband integer, searchvalues double precision[], roundto double precision, OUT value double precision, OUT count integer);
DROP FUNCTION IF EXISTS st_valuecount(rast raster, searchvalue double precision, roundto double precision);
DROP FUNCTION IF EXISTS st_valuecount(rast raster, searchvalues double precision[], roundto double precision, OUT value double precision, OUT count integer);
DROP FUNCTION IF EXISTS st_value(rast raster, band integer, x integer, y integer, hasnodata boolean);
DROP FUNCTION IF EXISTS st_value(rast raster, band integer, pt geometry, hasnodata boolean);
DROP FUNCTION IF EXISTS st_value(rast raster, x integer, y integer, hasnodata boolean);
DROP FUNCTION IF EXISTS st_value(rast raster, pt geometry, hasnodata boolean);
DROP FUNCTION IF EXISTS st_upperlefty(raster);
DROP FUNCTION IF EXISTS st_upperleftx(raster);
DROP FUNCTION IF EXISTS st_transform(rast raster, srid integer, scalex double precision, scaley double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_transform(rast raster, srid integer, algorithm text, maxerr double precision, scalex double precision, scaley double precision);
DROP FUNCTION IF EXISTS st_transform(rast raster, srid integer, scalexy double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_summarystats(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_summarystats(rastertable text, rastercolumn text, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_summarystats(rast raster, nband integer, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_summarystats(rast raster, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_sum4ma(matrix double precision[], nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_srid(raster);
DROP FUNCTION IF EXISTS st_snaptogrid(rast raster, gridx double precision, gridy double precision, scalex double precision, scaley double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_snaptogrid(rast raster, gridx double precision, gridy double precision, algorithm text, maxerr double precision, scalex double precision, scaley double precision);
DROP FUNCTION IF EXISTS st_snaptogrid(rast raster, gridx double precision, gridy double precision, scalexy double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_slope(rast raster, band integer, pixeltype text);
DROP FUNCTION IF EXISTS st_skewy(raster);
DROP FUNCTION IF EXISTS st_skewx(raster);
DROP FUNCTION IF EXISTS st_setvalue(rast raster, band integer, x integer, y integer, newvalue double precision);
DROP FUNCTION IF EXISTS st_setvalue(rast raster, band integer, pt geometry, newvalue double precision);
DROP FUNCTION IF EXISTS st_setvalue(rast raster, x integer, y integer, newvalue double precision);
DROP FUNCTION IF EXISTS st_setvalue(rast raster, pt geometry, newvalue double precision);
DROP FUNCTION IF EXISTS st_setupperleft(rast raster, upperleftx double precision, upperlefty double precision);
DROP FUNCTION IF EXISTS st_setsrid(rast raster, srid integer);
DROP FUNCTION IF EXISTS st_setskew(rast raster, skewx double precision, skewy double precision);
DROP FUNCTION IF EXISTS st_setskew(rast raster, skew double precision);
DROP FUNCTION IF EXISTS st_setscale(rast raster, scalex double precision, scaley double precision);
DROP FUNCTION IF EXISTS st_setscale(rast raster, scale double precision);
DROP FUNCTION IF EXISTS st_setrotation(rast raster, rotation double precision);
DROP FUNCTION IF EXISTS st_setgeoreference(rast raster, georef text, format text);
DROP FUNCTION IF EXISTS st_setbandnodatavalue(rast raster, band integer, nodatavalue double precision, forcechecking boolean);
DROP FUNCTION IF EXISTS st_setbandnodatavalue(rast raster, nodatavalue double precision);
DROP FUNCTION IF EXISTS st_setbandisnodata(rast raster, band integer);
DROP FUNCTION IF EXISTS st_scaley(raster);
DROP FUNCTION IF EXISTS st_scalex(raster);
DROP FUNCTION IF EXISTS st_samealignment(ulx1 double precision, uly1 double precision, scalex1 double precision, scaley1 double precision, skewx1 double precision, skewy1 double precision, ulx2 double precision, uly2 double precision, scalex2 double precision, scaley2 double precision, skewx2 double precision, skewy2 double precision);
DROP FUNCTION IF EXISTS st_samealignment(rast1 raster, rast2 raster);
DROP FUNCTION IF EXISTS st_rotation(raster);
DROP FUNCTION IF EXISTS st_reskew(rast raster, skewx double precision, skewy double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_reskew(rast raster, skewxy double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_rescale(rast raster, scalex double precision, scaley double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_rescale(rast raster, scalexy double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_resample(rast raster, width integer, height integer, srid integer, gridx double precision, gridy double precision, skewx double precision, skewy double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_resample(rast raster, srid integer, scalex double precision, scaley double precision, gridx double precision, gridy double precision, skewx double precision, skewy double precision, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_resample(rast raster, ref raster, usescale boolean, algorithm text, maxerr double precision);
DROP FUNCTION IF EXISTS st_resample(rast raster, ref raster, algorithm text, maxerr double precision, usescale boolean);
DROP FUNCTION IF EXISTS st_reclass(rast raster, nband integer, reclassexpr text, pixeltype text, nodataval double precision);
DROP FUNCTION IF EXISTS st_reclass(rast raster, reclassexpr text, pixeltype text);
DROP FUNCTION IF EXISTS st_reclass(rast raster, VARIADIC reclassargset reclassarg[]);
DROP FUNCTION IF EXISTS st_raster2worldcoordy(rast raster, xr integer, yr integer);
DROP FUNCTION IF EXISTS st_raster2worldcoordy(rast raster, yr integer);
DROP FUNCTION IF EXISTS st_raster2worldcoordx(rast raster, xr integer, yr integer);
DROP FUNCTION IF EXISTS st_raster2worldcoordx(rast raster, xr integer);
DROP FUNCTION IF EXISTS st_range4ma(matrix double precision[], nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_quantile(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, quantile double precision);
DROP FUNCTION IF EXISTS st_quantile(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_quantile(rastertable text, rastercolumn text, exclude_nodata_value boolean, quantile double precision);
DROP FUNCTION IF EXISTS st_quantile(rastertable text, rastercolumn text, nband integer, quantile double precision);
DROP FUNCTION IF EXISTS st_quantile(rastertable text, rastercolumn text, nband integer, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_quantile(rast raster, nband integer, exclude_nodata_value boolean, quantile double precision);
DROP FUNCTION IF EXISTS st_quantile(rast raster, nband integer, exclude_nodata_value boolean, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_quantile(rastertable text, rastercolumn text, quantile double precision);
DROP FUNCTION IF EXISTS st_quantile(rastertable text, rastercolumn text, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_quantile(rast raster, exclude_nodata_value boolean, quantile double precision);
DROP FUNCTION IF EXISTS st_quantile(rast raster, nband integer, quantile double precision);
DROP FUNCTION IF EXISTS st_quantile(rast raster, nband integer, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_quantile(rast raster, quantile double precision);
DROP FUNCTION IF EXISTS st_quantile(rast raster, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_polygon(rast raster, band integer);
DROP FUNCTION IF EXISTS st_pixelwidth(raster);
DROP FUNCTION IF EXISTS st_pixelheight(raster);
DROP FUNCTION IF EXISTS st_pixelaspolygons(rast raster, band integer, OUT geom geometry, OUT val double precision, OUT x integer, OUT y integer);
DROP FUNCTION IF EXISTS st_pixelaspolygon(rast raster, band integer, x integer, y integer);
DROP FUNCTION IF EXISTS st_pixelaspolygon(rast raster, x integer, y integer);
DROP FUNCTION IF EXISTS st_numbands(raster);
DROP FUNCTION IF EXISTS st_minpossiblevalue(pixeltype text);
DROP FUNCTION IF EXISTS st_min4ma(matrix double precision[], nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_metadata(rast raster, OUT upperleftx double precision, OUT upperlefty double precision, OUT width integer, OUT height integer, OUT scalex double precision, OUT scaley double precision, OUT skewx double precision, OUT skewy double precision, OUT srid integer, OUT numbands integer);
DROP FUNCTION IF EXISTS st_mean4ma(matrix double precision[], nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_max4ma(matrix double precision[], nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_mapalgebrafctngb(rast raster, band integer, pixeltype text, ngbwidth integer, ngbheight integer, onerastngbuserfunc regprocedure, nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast1 raster, band1 integer, rast2 raster, band2 integer, tworastuserfunc regprocedure, pixeltype text, extenttype text, VARIADIC userargs text[]);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast1 raster, rast2 raster, tworastuserfunc regprocedure, pixeltype text, extenttype text, VARIADIC userargs text[]);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast raster, band integer, pixeltype text, onerastuserfunc regprocedure, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast raster, pixeltype text, onerastuserfunc regprocedure, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast raster, band integer, onerastuserfunc regprocedure, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast raster, band integer, pixeltype text, onerastuserfunc regprocedure);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast raster, onerastuserfunc regprocedure, VARIADIC args text[]);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast raster, pixeltype text, onerastuserfunc regprocedure);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast raster, band integer, onerastuserfunc regprocedure);
DROP FUNCTION IF EXISTS st_mapalgebrafct(rast raster, onerastuserfunc regprocedure);
DROP FUNCTION IF EXISTS st_mapalgebraexpr(rast1 raster, band1 integer, rast2 raster, band2 integer, expression text, pixeltype text, extenttype text, nodata1expr text, nodata2expr text, nodatanodataval double precision);
DROP FUNCTION IF EXISTS st_mapalgebraexpr(rast1 raster, rast2 raster, expression text, pixeltype text, extenttype text, nodata1expr text, nodata2expr text, nodatanodataval double precision);
DROP FUNCTION IF EXISTS st_mapalgebraexpr(rast raster, band integer, pixeltype text, expression text, nodataval double precision);
DROP FUNCTION IF EXISTS st_mapalgebraexpr(rast raster, pixeltype text, expression text, nodataval double precision);
DROP FUNCTION IF EXISTS st_makeemptyraster(width integer, height integer, upperleftx double precision, upperlefty double precision, scalex double precision, scaley double precision, skewx double precision, skewy double precision, srid integer);
DROP FUNCTION IF EXISTS st_makeemptyraster(width integer, height integer, upperleftx double precision, upperlefty double precision, pixelsize double precision);
DROP FUNCTION IF EXISTS st_makeemptyraster(rast raster);
DROP FUNCTION IF EXISTS st_isempty(rast raster);
DROP FUNCTION IF EXISTS st_intersects(rast1 raster, nband1 integer, rast2 raster, nband2 integer);
DROP FUNCTION IF EXISTS st_intersects(geom geometry, rast raster, nband integer);
DROP FUNCTION IF EXISTS st_intersects(rast raster, nband integer, geom geometry);
DROP FUNCTION IF EXISTS st_intersects(rast raster, geom geometry, nband integer);
DROP FUNCTION IF EXISTS st_intersects(rast1 raster, rast2 raster);
DROP FUNCTION IF EXISTS st_intersection(rast1 raster, band1 integer, rast2 raster, band2 integer, returnband text, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS st_intersection(rast1 raster, band1 integer, geom geometry, extenttype text, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS st_intersection(rast1 raster, band1 integer, rast2 raster, band2 integer, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS st_intersection(rast1 raster, geom geometry, extenttype text, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS st_intersection(rast1 raster, band1 integer, geom geometry, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS st_intersection(rast1 raster, rast2 raster, returnband text, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS st_intersection(rast1 raster, geom geometry, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS st_intersection(rast1 raster, rast2 raster, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS st_intersection(geomin geometry, rast raster, band integer);
DROP FUNCTION IF EXISTS st_histogram(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS st_histogram(rastertable text, rastercolumn text, nband integer, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS st_histogram(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, bins integer, "right" boolean);
DROP FUNCTION IF EXISTS st_histogram(rast raster, nband integer, exclude_nodata_value boolean, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS st_histogram(rastertable text, rastercolumn text, nband integer, bins integer, "right" boolean);
DROP FUNCTION IF EXISTS st_histogram(rast raster, nband integer, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS st_histogram(rast raster, nband integer, exclude_nodata_value boolean, bins integer, "right" boolean);
DROP FUNCTION IF EXISTS st_histogram(rast raster, nband integer, bins integer, "right" boolean);
DROP FUNCTION IF EXISTS st_hillshade(rast raster, band integer, pixeltype text, azimuth double precision, altitude double precision, max_bright double precision, elevation_scale double precision);
DROP FUNCTION IF EXISTS st_height(raster);
DROP FUNCTION IF EXISTS st_hasnoband(rast raster, nband integer);
DROP FUNCTION IF EXISTS st_georeference(rast raster, format text);
DROP FUNCTION IF EXISTS st_gdaldrivers(OUT idx integer, OUT short_name text, OUT long_name text, OUT create_options text);
DROP FUNCTION IF EXISTS st_envelope(raster);
DROP FUNCTION IF EXISTS st_dumpaspolygons(rast raster, band integer);
DROP FUNCTION IF EXISTS st_count(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_count(rastertable text, rastercolumn text, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_count(rast raster, nband integer, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_count(rast raster, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_convexhull(raster);
DROP FUNCTION IF EXISTS st_clip(rast raster, band integer, geom geometry, nodata double precision, trimraster boolean);
DROP FUNCTION IF EXISTS st_clip(rast raster, band integer, geom geometry, trimraster boolean);
DROP FUNCTION IF EXISTS st_clip(rast raster, geom geometry, nodata double precision, trimraster boolean);
DROP FUNCTION IF EXISTS st_clip(rast raster, geom geometry, trimraster boolean);
DROP FUNCTION IF EXISTS st_bandpixeltype(rast raster, band integer);
DROP FUNCTION IF EXISTS st_bandpath(rast raster, band integer);
DROP FUNCTION IF EXISTS st_bandnodatavalue(rast raster, band integer);
DROP FUNCTION IF EXISTS st_bandmetadata(rast raster, band integer, OUT pixeltype text, OUT hasnodata boolean, OUT nodatavalue double precision, OUT isoutdb boolean, OUT path text);
DROP FUNCTION IF EXISTS st_bandmetadata(rast raster, band integer[], OUT bandnum integer, OUT pixeltype text, OUT hasnodata boolean, OUT nodatavalue double precision, OUT isoutdb boolean, OUT path text);
DROP FUNCTION IF EXISTS st_bandisnodata(rast raster, band integer, forcechecking boolean);
DROP FUNCTION IF EXISTS st_bandisnodata(rast raster, forcechecking boolean);
DROP FUNCTION IF EXISTS st_band(rast raster, nbands text, delimiter character);
DROP FUNCTION IF EXISTS st_band(rast raster, nband integer);
DROP FUNCTION IF EXISTS st_band(rast raster, nbands integer[]);
DROP FUNCTION IF EXISTS st_astiff(rast raster, nbands integer[], compression text, srid integer);
DROP FUNCTION IF EXISTS st_astiff(rast raster, nbands integer[], options text[], srid integer);
DROP FUNCTION IF EXISTS st_astiff(rast raster, compression text, srid integer);
DROP FUNCTION IF EXISTS st_astiff(rast raster, options text[], srid integer);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, width integer, height integer, pixeltype text, value double precision, nodataval double precision, upperleftx double precision, upperlefty double precision, skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, width integer, height integer, gridx double precision, gridy double precision, pixeltype text, value double precision, nodataval double precision, skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, scalex double precision, scaley double precision, pixeltype text, value double precision, nodataval double precision, upperleftx double precision, upperlefty double precision, skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, scalex double precision, scaley double precision, gridx double precision, gridy double precision, pixeltype text, value double precision, nodataval double precision, skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, width integer, height integer, pixeltype text[], value double precision[], nodataval double precision[], upperleftx double precision, upperlefty double precision, skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, width integer, height integer, gridx double precision, gridy double precision, pixeltype text[], value double precision[], nodataval double precision[], skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, scalex double precision, scaley double precision, pixeltype text[], value double precision[], nodataval double precision[], upperleftx double precision, upperlefty double precision, skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, scalex double precision, scaley double precision, gridx double precision, gridy double precision, pixeltype text[], value double precision[], nodataval double precision[], skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, ref raster, pixeltype text, value double precision, nodataval double precision, touched boolean);
DROP FUNCTION IF EXISTS st_asraster(geom geometry, ref raster, pixeltype text[], value double precision[], nodataval double precision[], touched boolean);
DROP FUNCTION IF EXISTS st_aspng(rast raster, nband integer, compression integer);
DROP FUNCTION IF EXISTS st_aspng(rast raster, nband integer, options text[]);
DROP FUNCTION IF EXISTS st_aspng(rast raster, nbands integer[], compression integer);
DROP FUNCTION IF EXISTS st_aspng(rast raster, nbands integer[], options text[]);
DROP FUNCTION IF EXISTS st_aspng(rast raster, options text[]);
DROP FUNCTION IF EXISTS st_aspect(rast raster, band integer, pixeltype text);
DROP FUNCTION IF EXISTS st_asjpeg(rast raster, nband integer, quality integer);
DROP FUNCTION IF EXISTS st_asjpeg(rast raster, nband integer, options text[]);
DROP FUNCTION IF EXISTS st_asjpeg(rast raster, nbands integer[], quality integer);
DROP FUNCTION IF EXISTS st_asjpeg(rast raster, nbands integer[], options text[]);
DROP FUNCTION IF EXISTS st_asjpeg(rast raster, options text[]);
DROP FUNCTION IF EXISTS st_asgdalraster(rast raster, format text, options text[], srid integer);
DROP FUNCTION IF EXISTS st_asbinary(raster);
DROP FUNCTION IF EXISTS st_approxsummarystats(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxsummarystats(rastertable text, rastercolumn text, nband integer, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxsummarystats(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxsummarystats(rastertable text, rastercolumn text, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxsummarystats(rastertable text, rastercolumn text, exclude_nodata_value boolean);
DROP FUNCTION IF EXISTS st_approxsummarystats(rast raster, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxsummarystats(rast raster, nband integer, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxsummarystats(rast raster, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, nband integer, sample_percent double precision, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, nband integer, sample_percent double precision, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, exclude_nodata_value boolean, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, sample_percent double precision, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, sample_percent double precision, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, nband integer, sample_percent double precision, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, nband integer, sample_percent double precision, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rastertable text, rastercolumn text, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, exclude_nodata_value boolean, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, sample_percent double precision, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, sample_percent double precision, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, quantile double precision);
DROP FUNCTION IF EXISTS st_approxquantile(rast raster, quantiles double precision[]);
DROP FUNCTION IF EXISTS st_approxhistogram(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS st_approxhistogram(rastertable text, rastercolumn text, nband integer, sample_percent double precision, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS st_approxhistogram(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision, bins integer, "right" boolean);
DROP FUNCTION IF EXISTS st_approxhistogram(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS st_approxhistogram(rastertable text, rastercolumn text, nband integer, sample_percent double precision, bins integer, "right" boolean);
DROP FUNCTION IF EXISTS st_approxhistogram(rast raster, nband integer, sample_percent double precision, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS st_approxhistogram(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision, bins integer, "right" boolean);
DROP FUNCTION IF EXISTS st_approxhistogram(rast raster, nband integer, sample_percent double precision, bins integer, "right" boolean);
DROP FUNCTION IF EXISTS st_approxhistogram(rastertable text, rastercolumn text, nband integer, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxhistogram(rastertable text, rastercolumn text, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxhistogram(rast raster, nband integer, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxhistogram(rast raster, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxcount(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxcount(rastertable text, rastercolumn text, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxcount(rastertable text, rastercolumn text, nband integer, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxcount(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxcount(rastertable text, rastercolumn text, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxcount(rast raster, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxcount(rast raster, nband integer, sample_percent double precision);
DROP FUNCTION IF EXISTS st_approxcount(rast raster, sample_percent double precision);
DROP FUNCTION IF EXISTS st_addband(rast raster, index integer, pixeltype text, initialvalue double precision, nodataval double precision);
DROP FUNCTION IF EXISTS st_addband(torast raster, fromrast raster, fromband integer, torastindex integer);
DROP FUNCTION IF EXISTS st_addband(rast raster, pixeltype text, initialvalue double precision, nodataval double precision);
DROP FUNCTION IF EXISTS st_addband(torast raster, fromrasts raster[], fromband integer);
DROP FUNCTION IF EXISTS raster_same(raster, raster);
DROP FUNCTION IF EXISTS raster_right(raster, raster);
DROP FUNCTION IF EXISTS raster_overright(raster, raster);
DROP FUNCTION IF EXISTS raster_overleft(raster, raster);
DROP FUNCTION IF EXISTS raster_overlap(raster, raster);
DROP FUNCTION IF EXISTS raster_overbelow(raster, raster);
DROP FUNCTION IF EXISTS raster_overabove(raster, raster);
DROP FUNCTION IF EXISTS raster_left(raster, raster);
DROP FUNCTION IF EXISTS raster_contained(raster, raster);
DROP FUNCTION IF EXISTS raster_contain(raster, raster);
DROP FUNCTION IF EXISTS raster_below(raster, raster);
DROP FUNCTION IF EXISTS raster_above(raster, raster);
DROP FUNCTION IF EXISTS postgis_raster_lib_version();
DROP FUNCTION IF EXISTS postgis_raster_lib_build_date();
DROP FUNCTION IF EXISTS postgis_gdal_version();
DROP FUNCTION IF EXISTS droprasterconstraints(rastschema name, rasttable name, rastcolumn name, srid boolean, scale_x boolean, scale_y boolean, blocksize_x boolean, blocksize_y boolean, same_alignment boolean, regular_blocking boolean, num_bands boolean, pixel_types boolean, nodata_values boolean, extent boolean);
DROP FUNCTION IF EXISTS droprasterconstraints(rasttable name, rastcolumn name, srid boolean, scale_x boolean, scale_y boolean, blocksize_x boolean, blocksize_y boolean, same_alignment boolean, regular_blocking boolean, num_bands boolean, pixel_types boolean, nodata_values boolean, extent boolean);
DROP FUNCTION IF EXISTS droprasterconstraints(rastschema name, rasttable name, rastcolumn name, VARIADIC constraints text[]);
DROP FUNCTION IF EXISTS droprasterconstraints(rasttable name, rastcolumn name, VARIADIC constraints text[]);
DROP FUNCTION IF EXISTS dropoverviewconstraints(ovschema name, ovtable name, ovcolumn name);
DROP FUNCTION IF EXISTS dropoverviewconstraints(ovtable name, ovcolumn name);
DROP FUNCTION IF EXISTS bytea(raster);
DROP FUNCTION IF EXISTS box3d(raster);
DROP FUNCTION IF EXISTS addrasterconstraints(rastschema name, rasttable name, rastcolumn name, srid boolean, scale_x boolean, scale_y boolean, blocksize_x boolean, blocksize_y boolean, same_alignment boolean, regular_blocking boolean, num_bands boolean, pixel_types boolean, nodata_values boolean, extent boolean);
DROP FUNCTION IF EXISTS addrasterconstraints(rasttable name, rastcolumn name, srid boolean, scale_x boolean, scale_y boolean, blocksize_x boolean, blocksize_y boolean, same_alignment boolean, regular_blocking boolean, num_bands boolean, pixel_types boolean, nodata_values boolean, extent boolean);
DROP FUNCTION IF EXISTS addrasterconstraints(rastschema name, rasttable name, rastcolumn name, VARIADIC constraints text[]);
DROP FUNCTION IF EXISTS addrasterconstraints(rasttable name, rastcolumn name, VARIADIC constraints text[]);
DROP FUNCTION IF EXISTS addoverviewconstraints(ovschema name, ovtable name, ovcolumn name, refschema name, reftable name, refcolumn name, ovfactor integer);
DROP FUNCTION IF EXISTS addoverviewconstraints(ovtable name, ovcolumn name, reftable name, refcolumn name, ovfactor integer);
DROP FUNCTION IF EXISTS _st_valuecount(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, searchvalues double precision[], roundto double precision);
DROP FUNCTION IF EXISTS _st_valuecount(rast raster, nband integer, exclude_nodata_value boolean, searchvalues double precision[], roundto double precision);
DROP FUNCTION IF EXISTS _st_summarystats(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS _st_summarystats(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS _st_slope4ma(matrix double precision[], nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS _st_resample(rast raster, algorithm text, maxerr double precision, srid integer, scalex double precision, scaley double precision, gridx double precision, gridy double precision, skewx double precision, skewy double precision, width integer, height integer);
DROP FUNCTION IF EXISTS _st_reclass(rast raster, VARIADIC reclassargset reclassarg[]);
DROP FUNCTION IF EXISTS _st_quantile(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision, quantiles double precision[]);
DROP FUNCTION IF EXISTS _st_quantile(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision, quantiles double precision[]);
DROP FUNCTION IF EXISTS _st_mapalgebra4unionstate(rast1 raster, rast2 raster, p_expression text, p_nodata1expr text, p_nodata2expr text, p_nodatanodataval double precision, t_expression text, t_nodata1expr text, t_nodata2expr text, t_nodatanodataval double precision);
DROP FUNCTION IF EXISTS _st_mapalgebra4unionstate(rast1 raster, rast2 raster, bandnum integer, p_expression text);
DROP FUNCTION IF EXISTS _st_mapalgebra4unionstate(rast1 raster, rast2 raster, p_expression text);
DROP FUNCTION IF EXISTS _st_mapalgebra4unionstate(rast1 raster, rast2 raster, bandnum integer);
DROP FUNCTION IF EXISTS _st_mapalgebra4unionstate(rast1 raster, rast2 raster);
DROP FUNCTION IF EXISTS _st_mapalgebra4unionfinal1(rast raster);
DROP FUNCTION IF EXISTS _st_intersects(rast1 raster, nband1 integer, rast2 raster, nband2 integer);
DROP FUNCTION IF EXISTS _st_intersects(geom geometry, rast raster, nband integer);
DROP FUNCTION IF EXISTS _st_intersects(rast raster, geom geometry, nband integer);
DROP FUNCTION IF EXISTS _st_intersection(rast1 raster, band1 integer, rast2 raster, band2 integer, extenttype text, returnband text, otheruserfunc regprocedure);
DROP FUNCTION IF EXISTS _st_histogram(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision, bins integer, width double precision[], "right" boolean, min double precision, max double precision);
DROP FUNCTION IF EXISTS _st_histogram(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision, bins integer, width double precision[], "right" boolean);
DROP FUNCTION IF EXISTS _st_hillshade4ma(matrix double precision[], nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS _st_dumpaswktpolygons(rast raster, band integer);
DROP FUNCTION IF EXISTS _st_count(rastertable text, rastercolumn text, nband integer, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS _st_count(rast raster, nband integer, exclude_nodata_value boolean, sample_percent double precision);
DROP FUNCTION IF EXISTS _st_asraster(geom geometry, scalex double precision, scaley double precision, width integer, height integer, pixeltype text[], value double precision[], nodataval double precision[], upperleftx double precision, upperlefty double precision, gridx double precision, gridy double precision, skewx double precision, skewy double precision, touched boolean);
DROP FUNCTION IF EXISTS _st_aspect4ma(matrix double precision[], nodatamode text, VARIADIC args text[]);
DROP FUNCTION IF EXISTS _raster_constraint_pixel_types(rast raster);
DROP FUNCTION IF EXISTS _raster_constraint_nodata_values(rast raster);
DROP FUNCTION IF EXISTS _raster_constraint_info_srid(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _raster_constraint_info_scale(rastschema name, rasttable name, rastcolumn name, axis character);
DROP FUNCTION IF EXISTS _raster_constraint_info_regular_blocking(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _raster_constraint_info_pixel_types(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _raster_constraint_info_num_bands(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _raster_constraint_info_nodata_values(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _raster_constraint_info_extent(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _raster_constraint_info_blocksize(rastschema name, rasttable name, rastcolumn name, axis text);
DROP FUNCTION IF EXISTS _raster_constraint_info_alignment(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _overview_constraint_info(ovschema name, ovtable name, ovcolumn name, OUT refschema name, OUT reftable name, OUT refcolumn name, OUT factor integer);
DROP FUNCTION IF EXISTS _overview_constraint(ov raster, factor integer, refschema name, reftable name, refcolumn name);
DROP FUNCTION IF EXISTS _drop_raster_constraint_srid(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _drop_raster_constraint_scale(rastschema name, rasttable name, rastcolumn name, axis character);
DROP FUNCTION IF EXISTS _drop_raster_constraint_regular_blocking(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _drop_raster_constraint_pixel_types(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _drop_raster_constraint_num_bands(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _drop_raster_constraint_nodata_values(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _drop_raster_constraint_extent(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _drop_raster_constraint_blocksize(rastschema name, rasttable name, rastcolumn name, axis text);
DROP FUNCTION IF EXISTS _drop_raster_constraint_alignment(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _drop_raster_constraint(rastschema name, rasttable name, cn name);
DROP FUNCTION IF EXISTS _drop_overview_constraint(ovschema name, ovtable name, ovcolumn name);
DROP FUNCTION IF EXISTS _add_raster_constraint_srid(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _add_raster_constraint_scale(rastschema name, rasttable name, rastcolumn name, axis character);
DROP FUNCTION IF EXISTS _add_raster_constraint_regular_blocking(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _add_raster_constraint_pixel_types(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _add_raster_constraint_num_bands(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _add_raster_constraint_nodata_values(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _add_raster_constraint_extent(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _add_raster_constraint_blocksize(rastschema name, rasttable name, rastcolumn name, axis text);
DROP FUNCTION IF EXISTS _add_raster_constraint_alignment(rastschema name, rasttable name, rastcolumn name);
DROP FUNCTION IF EXISTS _add_raster_constraint(cn name, sql text);
DROP FUNCTION IF EXISTS _add_overview_constraint(ovschema name, ovtable name, ovcolumn name, refschema name, reftable name, refcolumn name, factor integer);
DROP TYPE IF EXISTS wktgeomval;
DROP TYPE IF EXISTS valuecount;
DROP TYPE IF EXISTS summarystats;
DROP TYPE IF EXISTS reclassarg;
DROP TYPE IF EXISTS raster CASCADE;
DROP FUNCTION IF EXISTS raster_out(raster);
DROP FUNCTION IF EXISTS raster_in(cstring);
DROP TYPE IF EXISTS quantile;
DROP TYPE IF EXISTS histogram;
DROP TYPE IF EXISTS geomval;
